Bug 302881 - mixer applet crashes when muting the mic record level
mixer applet crashes when muting the mic record level
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 05:32 EDT by Kjartan Maraas
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.20.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 07:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2007-09-24 05:32:18 EDT
Description of problem:
The mixer applet crashes when muting/unmuting the mic record level.

Double click on the mixer applet to open gnome-volume-control. Go to Recording
and hit the mute button a few times and it will crash with this backtrace:

Distribution: Fedora release 7.91 (Rawhide)
Gnome Release: 2.20.0 2007-09-17 (Red Hat, Inc)
BugBuddy Version: 2.20.0

System: Linux 2.6.23-0.195.rc7.git3.fc8 #1 SMP Sat Sep 22 08:33:35 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Enabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 66621440 vsize: 66621440 resident: 15888384 share: 11804672
rss: 15888384 rss_rlim: 4294967295
CPU usage: start_time: 1190625955 rtime: 26 utime: 19 stime: 7 cutime:0 cstime:
1 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/mixer_applet2'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1209161120 (LWP 2774)]
[New Thread -1224823920 (LWP 2778)]
0x0012d402 in __kernel_vsyscall ()
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x00d2947b in waitpid () from /lib/libpthread.so.0
#2  0x00cb1967 in IA__g_spawn_sync (working_directory=0x0, argv=0x8e23f78, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8b731a8)
    at gspawn.c:364
#3  0x00cb1c7c in IA__g_spawn_command_line_sync (
    command_line=0x8d46d68 "bug-buddy --appname=\"mixer_applet2\" --pid=2774",
standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8b731a8)
    at gspawn.c:672
#4  0x07f6c2f0 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  0x07f6c5e6 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#6  0x07f6ca13 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#7  0x07f6cf1e in google_breakpad::ExceptionHandler::HandleException ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#8  <signal handler called>
#9  0x0804dd14 in cb_notify_message (bus=0x8be5c18, message=0x8e32000, 
    data=0x8bac848) at applet.c:1246
#10 0x00154243 in marshal_VOID__MINIOBJECT (closure=0x8bf7798, 
    return_value=0x0, n_param_values=2, param_values=0xbff2ebbc, 
    invocation_hint=0xbff2eacc, marshal_data=0x804dc40) at gstbus.c:161
#11 0x00c1cf53 in IA__g_closure_invoke (closure=0x8bf7798, return_value=0x0, 
    n_param_values=2, param_values=0xbff2ebbc, invocation_hint=0xbff2eacc)
    at gclosure.c:490
#12 0x00c2d6c3 in signal_emit_unlocked_R (node=0x8bf7740, detail=934, 
    instance=0x8be5c18, emission_return=0x0, instance_and_params=0xbff2ebbc)
    at gsignal.c:2440
#13 0x00c2ebe7 in IA__g_signal_emit_valist (instance=0x8be5c18, 
    signal_id=170, detail=934, var_args=0xbff2ee00 "\030\\¾\b")
    at gsignal.c:2199
#14 0x00c2eda9 in IA__g_signal_emit (instance=0x8be5c18, signal_id=170, 
    detail=934) at gsignal.c:2243
#15 0x0015288d in gst_bus_async_signal_func (bus=0x8be5c18, 
    message=0x8e32000, data=0x0) at gstbus.c:975
#16 0x0015346b in gst_bus_source_dispatch (source=0x8be5b40, 
    callback=0x152810 <gst_bus_async_signal_func>, user_data=0x0)
    at gstbus.c:701
#17 0x00c800fc in IA__g_main_context_dispatch (context=0x8b73a30)
    at gmain.c:2061
#18 0x00c8353f in g_main_context_iterate (context=0x8b73a30, block=1, 
    dispatch=1, self=0x8b4c530) at gmain.c:2694
#19 0x00c838e9 in IA__g_main_loop_run (loop=0x8ba9b20) at gmain.c:2898
#20 0x00554813 in bonobo_main () at bonobo-main.c:311
#21 0x00552a79 in bonobo_generic_factory_main_timeout (
    act_iid=0x8b96540 ":0.0,OAFIID:GNOME_MixerApplet_Factory", 
    factory_cb=0x3388a0 <panel_applet_factory_callback>, user_data=0x8ba9988, 
    quit_timeout=2000) at bonobo-generic-factory.c:411
#22 0x00552b03 in bonobo_generic_factory_main (
    act_iid=0x8b96540 ":0.0,OAFIID:GNOME_MixerApplet_Factory", 
    factory_cb=0x3388a0 <panel_applet_factory_callback>, user_data=0x8ba9988)
    at bonobo-generic-factory.c:368
#23 0x00339101 in panel_applet_factory_main_closure (
    iid=0x8050cb0 "OAFIID:GNOME_MixerApplet_Factory", applet_type=146446472, 
    closure=0x8ba8800) at panel-applet.c:1754
#24 0x003391e5 in panel_applet_factory_main (
    iid=0x8050cb0 "OAFIID:GNOME_MixerApplet_Factory", applet_type=146446472, 
    callback=0x804f090 <gnome_volume_applet_factory>, data=0x0)
    at panel-applet.c:1778
#25 0x0804f063 in main (argc=146549904, argv=0x8e32000) at load.c:340
#26 0x00d4b320 in __libc_start_main () from /lib/libc.so.6
#27 0x0804bc71 in _start ()

Thread 2 (Thread -1224823920 (LWP 2778)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00dfdc73 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x010e7566 in task_monitor_alsa (data=0x8e10f08) at gstalsamixer.c:405
	rnfds = 1
	revents = 29
	__PRETTY_FUNCTION__ = "task_monitor_alsa"
#3  0x0018ef76 in gst_task_func (task=0x8bab420, tclass=0x8e06100)
    at gsttask.c:192
	t = 1634027
	lock = (GStaticRecMutex *) 0x8da2b40
	tself = (GThread *) 0x8e062f8
	__PRETTY_FUNCTION__ = "gst_task_func"
#4  0x00ca5228 in g_thread_pool_thread_proxy (data=0x8e06190)
    at gthreadpool.c:265
	task = (gpointer) 0x8bab420
	pool = (GRealThreadPool *) 0x8e06190
#5  0x00ca369f in g_thread_create_proxy (data=0x8e062f8) at gthread.c:635
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00d2153b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00e07d0e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1209161120 (LWP 2774)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00d2947b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00cb1967 in IA__g_spawn_sync (working_directory=0x0, argv=0x8e23f78, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8b731a8)
    at gspawn.c:364
	outpipe = -1
	errpipe = -1
	pid = 2785
	fds = {__fds_bits = {13742616, 146713640, 4, 146223288, 13228689, 8, 
    146713640, 4, 13742616, 146713640, 4, 146223400, 13216339, 146713640, 
    13138016, 0, 13222466, 146066416, 64, 1708282130, 0, 15239936, 52, 9, 
    146223380, 146223384, 149045112, 3, 0, 12005716, 146713640, 148139414}}
	ret = <value optimized out>
	outstr = (GString *) 0x0
	errstr = (GString *) 0x0
	failed = 0
	status = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0x00cb1c7c in IA__g_spawn_command_line_sync (
    command_line=0x8d46d68 "bug-buddy --appname=\"mixer_applet2\" --pid=2774",
standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8b731a8)
    at gspawn.c:672
	retval = 0
	argv = (gchar **) 0x8e23f78
	__PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0x07f6c2f0 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x07f6c5e6 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x07f6ca13 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x07f6cf1e in google_breakpad::ExceptionHandler::HandleException ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  0x0804dd14 in cb_notify_message (bus=0x8be5c18, message=0x8e32000, 
    data=0x8bac848) at applet.c:1246
	n = 0
	num_channels = -1074598960
	vols = (gint *) 0x16ec43
	type = <value optimized out>
	track = (GstMixerTrack *) 0x0
	mute = -1
	volume = <value optimized out>
#10 0x00154243 in marshal_VOID__MINIOBJECT (closure=0x8bf7798, 
    return_value=0x0, n_param_values=2, param_values=0xbff2ebbc, 
    invocation_hint=0xbff2eacc, marshal_data=0x804dc40) at gstbus.c:161
	data1 = (gpointer) 0x8be5c18
	data2 = (gpointer) 0x8bac848
	__PRETTY_FUNCTION__ = "marshal_VOID__MINIOBJECT"
#11 0x00c1cf53 in IA__g_closure_invoke (closure=0x8bf7798, return_value=0x0, 
    n_param_values=2, param_values=0xbff2ebbc, invocation_hint=0xbff2eacc)
    at gclosure.c:490
	marshal = (GClosureMarshal) 0x1541e0 <marshal_VOID__MINIOBJECT>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#12 0x00c2d6c3 in signal_emit_unlocked_R (node=0x8bf7740, detail=934, 
    instance=0x8be5c18, emission_return=0x0, instance_and_params=0xbff2ebbc)
    at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0x8bd1080
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x0, instance = 0x8be5c18, ihint = {
    signal_id = 170, detail = 934, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x8bc2d70
	handler_list = (Handler *) 0x8bd1080
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 170
	max_sequential_handler_number = 323
	return_value_altered = 0
#13 0x00c2ebe7 in IA__g_signal_emit_valist (instance=0x8be5c18, 
    signal_id=170, detail=934, var_args=0xbff2ee00 "\030\\¾\b")
    at gsignal.c:2199
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 13788197, v_long = 13788197, 
    v_int64 = 54224460341994533, v_double = 4.7403634189954543e-305, 
    v_pointer = 0xd26425}, {v_int = 1, v_long = 1, 
    v_int64 = 4499061792558809089, v_double = 5.9378095329520881e-08, 
    v_pointer = 0x1}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, 
    v_pointer = 0x0}, {v_int = 13742616, v_long = 13742616, 
    v_int64 = -4615365637155212776, v_double = -1.18296051330538, 
    v_pointer = 0xd1b218}, {v_int = 13222466, v_long = 13222466, 
    v_int64 = 627350479777153602, v_double = 1.0077593460187805e-266, 
    v_pointer = 0xc9c242}, {v_int = -1209085920, v_long = -1209085920, 
    v_int64 = 55566709413564448, v_double = 6.0985133672578617e-305, 
    v_pointer = 0xb7eed020}, {v_int = -1209102984, v_long = -1209102984, 
    v_int64 = -1209102984, v_double = -nan(0xfffffb7ee8d78), 
    v_pointer = 0xb7ee8d78}, {v_int = -1, v_long = -1, 
    v_int64 = 5277385230385151, v_double = 2.6073747422032953e-308, 
    v_pointer = 0xffffffff}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 3085881376, data = {{v_int = 148205712, 
      v_uint = 148205712, v_long = 148205712, v_ulong = 148205712, 
      v_int64 = -4146761584, v_uint64 = 18446744069562790032, 
      v_float = 1.28459345e-33, v_double = -nan(0xfffff08d57090), 
      v_pointer = 0x8d57090}, {v_int = 1228736, v_uint = 1228736, 
      v_long = 1228736, v_ulong = 1228736, v_int64 = 5441105089970112, 
      v_uint64 = 5441105089970112, v_float = 1.72182587e-39, 
      v_double = 2.6882631003661773e-308, v_pointer = 0x12bfc0}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbff2ebbc
	stack_values = {{g_type = 146736968, data = {{v_int = 146693144, 
        v_uint = 146693144, v_long = 146693144, v_ulong = 146693144, 
        v_int64 = 146693144, v_uint64 = 146693144, v_float = 1.14568602e-33, 
        v_double = 7.247604293084298e-316, v_pointer = 0x8be5c18}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 146549904, data = {{v_int = 149102592, v_uint = 149102592, 
        v_long = 149102592, v_ulong = 149102592, v_int64 = 149102592, 
        v_uint64 = 149102592, v_float = 1.36695887e-33, 
        v_double = 7.366646841308388e-316, v_pointer = 0x8e32000}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 11, data = {{v_int = -1209102984, v_uint = 3085864312, 
        v_long = -1209102984, v_ulong = 3085864312, 
        v_int64 = 55504621366316408, v_uint64 = 55504621366316408, 
        v_float = -2.84376874e-05, v_double = 6.0356897975168063e-305, 
        v_pointer = 0xb7ee8d78}, {v_int = 88, v_uint = 88, v_long = 88, 
        v_ulong = 88, v_int64 = 4949979873411160, 
        v_uint64 = 4949979873411160, v_float = 1.23314265e-43, 
        v_double = 2.4456150030580566e-308, v_pointer = 0x58}}}, {
    g_type = 3220368404, data = {{v_int = -1074598604, v_uint = 3220368692, 
        v_long = -1074598604, v_ulong = 3220368692, v_int64 = 3220368692, 
        v_uint64 = 3220368692, v_float = -1.89786386, 
        v_double = 1.5910735376599104e-314, v_pointer = 0xbff2ed34}, {
        v_int = 88, v_uint = 88, v_long = 88, v_ulong = 88, 
        v_int64 = 55545265850941528, v_uint64 = 55545265850941528, 
        v_float = 1.23314265e-43, v_double = 6.0768157746994127e-305, 
        v_pointer = 0x58}}}, {g_type = 12929000, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 5277380935417856, 
        v_uint64 = 5277380935417856, v_float = 0, 
        v_double = 2.6073726202075048e-308, v_pointer = 0x0}, {
        v_int = 146268036, v_uint = 146268036, v_long = 146268036, 
        v_ulong = 146268036, v_int64 = -4615366753714184316, 
        v_uint64 = 13831377319995367300, v_float = 1.10664601e-33, 
        v_double = -1.1827125874096689, v_pointer = 0x8b7df84}}}, {
    g_type = 3220368536, data = {{v_int = 1153634, v_uint = 1153634, 
        v_long = 1153634, v_ulong = 1153634, v_int64 = -5193057773774857630, 
        v_uint64 = 13253686299934693986, v_float = 1.61658555e-39, 
        v_double = -2.8058143103001146e-39, v_pointer = 0x119a62}, {
        v_int = 1271103, v_uint = 1271103, v_long = 1271103, 
        v_ulong = 1271103, v_int64 = 55629241052783935, 
        v_uint64 = 55629241052783935, v_float = 1.78119468e-39, 
        v_double = 6.1617857839572285e-305, v_pointer = 0x13653f}}}, {
    g_type = 1251048, data = {{v_int = -1209085920, v_uint = 3085881376, 
        v_long = -1209085920, v_ulong = 3085881376, 
        v_int64 = 5314114581614624, v_uint64 = 5314114581614624, 
        v_float = -2.84687267e-05, v_double = 2.6255214528398149e-308, 
        v_pointer = 0xb7eed020}, {v_int = -1209085480, v_uint = 3085881816, 
        v_long = -1209085480, v_ulong = 3085881816, 
        v_int64 = -4615365908960980520, v_uint64 = 13831378164748571096, 
        v_float = -2.8469527e-05, v_double = -1.1829001603010649, 
        v_pointer = 0xb7eed1d8}}}, {g_type = 3220368484, data = {{
        v_int = -1074598524, v_uint = 3220368772, v_long = -1074598524, 
        v_ulong = 3220368772, v_int64 = 4499061795779177860, 
        v_uint64 = 4499061795779177860, v_float = -1.8978734, 
        v_double = 5.9378116640133782e-08, v_pointer = 0xbff2ed84}, {
        v_int = 88, v_uint = 88, v_long = 88, v_ulong = 88, 
        v_int64 = 5344897821311064, v_uint64 = 5344897821311064, 
        v_float = 1.23314265e-43, v_double = 2.6407303940415224e-308, 
        v_pointer = 0x58}}}, {g_type = 1244336, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
        v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
        v_long = 0, v_ulong = 0, v_int64 = 21474836480, 
        v_uint64 = 21474836480, v_float = 0, 
        v_double = 1.0609978954826362e-313, v_pointer = 0x0}}}, {
    g_type = 1400, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = -5192984484454072320, v_uint64 = 13253759589255479296, 
        v_float = 0, v_double = -2.8297260669189626e-39, v_pointer = 0x0}, {
        v_int = 1273941, v_uint = 1273941, v_long = 1273941, 
        v_ulong = 1273941, v_int64 = 5443166674317397, 
        v_uint64 = 5443166674317397, v_float = 1.78517157e-39, 
        v_double = 2.6892816583681748e-308, v_pointer = 0x137055}}}, {
    g_type = 1266856, data = {{v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = 5277380935417857, v_uint64 = 5277380935417857, 
        v_float = 1.40129846e-45, v_double = 2.6073726202075053e-308, 
        v_pointer = 0x1}, {v_int = -1209085480, v_uint = 3085881816, 
        v_long = -1209085480, v_ulong = 3085881816, 
        v_int64 = -4615365565363596840, v_uint64 = 13831378508345954776, 
        v_float = -2.8469527e-05, v_double = -1.1829764542463774, 
        v_pointer = 0xb7eed1d8}}}, {g_type = 3220368788, data = {{
        v_int = 1153920, v_uint = 1153920, v_long = 1153920, 
        v_ulong = 1153920, v_int64 = 5441105089895296, 
        v_uint64 = 5441105089895296, v_float = 1.61698632e-39, 
        v_double = 2.6882631003292133e-308, v_pointer = 0x119b80}, {
        v_int = -1074598536, v_uint = 3220368760, v_long = -1074598536, 
        v_ulong = 3220368760, v_int64 = 5286128709201272, 
        v_uint64 = 5286128709201272, v_float = -1.89787197, 
        v_double = 2.6116945947114814e-308, v_pointer = 0xbff2ed78}}}, {
    g_type = 1, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 21474836480, v_uint64 = 21474836480, v_float = 0, 
        v_double = 1.0609978954826362e-313, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 4294967296, 
        v_uint64 = 4294967296, v_float = 0, 
        v_double = 2.1219957909652723e-314, v_pointer = 0x0}}}, {g_type = 0, 
    data = {{v_int = 5, v_uint = 5, v_long = 5, v_ulong = 5, v_int64 = 5, 
        v_uint64 = 5, v_float = 7.00649232e-45, 
        v_double = 2.4703282292062327e-323, v_pointer = 0x5}, {v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 5415747601825793, 
        v_uint64 = 5415747601825793, v_float = 1.40129846e-45, 
        v_double = 2.6757348366092426e-308, v_pointer = 0x1}}}, {
    g_type = 3220368808, data = {{v_int = 1230772, v_uint = 1230772, 
        v_long = 1230772, v_ulong = 1230772, v_int64 = -4615365516908640332, 
        v_uint64 = 13831378556800911284, v_float = 1.72467891e-39, 
        v_double = -1.1829872134080519, v_pointer = 0x12c7b4}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 21474836480, 
        v_uint64 = 21474836480, v_float = 0, 
        v_double = 1.0609978954826362e-313, v_pointer = 0x0}}}, {g_type = 0, 
    data = {{v_int = -1074598508, v_uint = 3220368788, v_long = -1074598508, 
        v_ulong = 3220368788, v_int64 = -4615365255991464556, 
        v_uint64 = 13831378817718087060, v_float = -1.89787531, 
        v_double = -1.1830451486592652, v_pointer = 0xbff2ed94}, {
        v_int = -1209085920, v_uint = 3085881376, v_long = -1209085920, 
        v_ulong = 3085881376, v_int64 = 5471538017914912, 
        v_uint64 = 5471538017914912, v_float = -2.84687267e-05, 
        v_double = 2.703298964566065e-308, v_pointer = 0xb7eed020}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbff2ebd0
	node = (SignalNode *) 0x8bf7740
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#14 0x00c2eda9 in IA__g_signal_emit (instance=0x8be5c18, signal_id=170, 
    detail=934) at gsignal.c:2243
	var_args = 0xbff2edfc ""
#15 0x0015288d in gst_bus_async_signal_func (bus=0x8be5c18, 
    message=0x8e32000, data=0x0) at gstbus.c:975
	detail = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_bus_async_signal_func"
#16 0x0015346b in gst_bus_source_dispatch (source=0x8be5b40, 
    callback=0x152810 <gst_bus_async_signal_func>, user_data=0x0)
    at gstbus.c:701
	message = (GstMessage *) 0x8e32000
	keep = <value optimized out>
	bus = (GstBus *) 0x8be5c18
	__PRETTY_FUNCTION__ = "gst_bus_source_dispatch"
#17 0x00c800fc in IA__g_main_context_dispatch (context=0x8b73a30)
    at gmain.c:2061
No locals.
#18 0x00c8353f in g_main_context_iterate (context=0x8b73a30, block=1, 
    dispatch=1, self=0x8b4c530) at gmain.c:2694
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = 29058
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8e1b690
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#19 0x00c838e9 in IA__g_main_loop_run (loop=0x8ba9b20) at gmain.c:2898
	got_ownership = 13775728
	self = (GThread *) 0x8b4c530
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#20 0x00554813 in bonobo_main () at bonobo-main.c:311
	loop = (GMainLoop *) 0x8ba9b20
#21 0x00552a79 in bonobo_generic_factory_main_timeout (
    act_iid=0x8b96540 ":0.0,OAFIID:GNOME_MixerApplet_Factory", 
    factory_cb=0x3388a0 <panel_applet_factory_callback>, user_data=0x8ba9988, 
    quit_timeout=2000) at bonobo-generic-factory.c:411
	context = (BonoboObject *) 0x8b544f0
	factory = (BonoboGenericFactory *) 0x8b94400
#22 0x00552b03 in bonobo_generic_factory_main (
    act_iid=0x8b96540 ":0.0,OAFIID:GNOME_MixerApplet_Factory", 
    factory_cb=0x3388a0 <panel_applet_factory_callback>, user_data=0x8ba9988)
    at bonobo-generic-factory.c:368
No locals.
#23 0x00339101 in panel_applet_factory_main_closure (
    iid=0x8050cb0 "OAFIID:GNOME_MixerApplet_Factory", applet_type=146446472, 
    closure=0x8ba8800) at panel-applet.c:1754
	retval = <value optimized out>
	display_iid = 0x8b96540 ":0.0,OAFIID:GNOME_MixerApplet_Factory"
	data = (PanelAppletCallBackData *) 0x8ba9988
	__PRETTY_FUNCTION__ = "panel_applet_factory_main_closure"
#24 0x003391e5 in panel_applet_factory_main (
    iid=0x8050cb0 "OAFIID:GNOME_MixerApplet_Factory", applet_type=146446472, 
    callback=0x804f090 <gnome_volume_applet_factory>, data=0x0)
    at panel-applet.c:1778
	closure = <value optimized out>
	__PRETTY_FUNCTION__ = "panel_applet_factory_main"
#25 0x0804f063 in main (argc=146549904, argv=0x8e32000) at load.c:340
	program = (GnomeProgram *) 0x8b55810
	context = (GOptionContext *) 0x8b4c458
	retval = <value optimized out>
#26 0x00d4b320 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#27 0x0804bc71 in _start ()
No symbol table info available.
#0  0x0012d402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (511 sec old) ---------------------
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: NM appeared
** (nm-applet:2318): WARNING **: Found connection Auto to activate at
/org/freedesktop/NetworkManagerSettings/0.
error getting update info:  No network available
error getting update info:  No network available
error getting update info:  No network available
error getting update info:  No network available
error getting update info:  No network available
error getting update info:  No network available
--------------------------------------------------


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-09-24 14:33:52 EDT
Should be simple to fix. The if/else doesn't handle all the possible values for
GstMixerMessageType, and we don't check the retvals.
Comment 2 Bastien Nocera 2007-09-25 07:47:11 EDT
Fixed in gnome-applets-1.2.20.0-5

Note You need to log in before you can comment on or make changes to this bug.